Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.simpleparser
Class EntitiesToSymbol

    java.lang.Object
      com.lowagie.text.xml.simpleparser.EntitiesToSymbol

    public class EntitiesToSymbol

extends Object

This class contains entities that can be used in an entity tag.

Field Summary
`static HashMap` | `map` This is a map that contains all possible id values of the entity tag that can be translated to a character in font Symbol.

Constructor Summary
`EntitiesToSymbol()`

Method Summary
`static Chunk` | `get(String e, Font font)` Gets a chunk with a symbol character.
`static char` | `getCorrespondingSymbol(String name)` Looks for the corresponding symbol in the font Symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static final HashMap map

  This is a map that contains all possible id values of the entity tag that can be translated to a character in font Symbol.

Constructor Detail

### EntitiesToSymbol

    public EntitiesToSymbol()

Method Detail

### get

    public static Chunk get(String e,
                            Font font)

  Gets a chunk with a symbol character.

  Parameters:
    `e` - a symbol value (see Entities class: alfa is greek alfa,...)
    `font` - the font if the symbol isn't found (otherwise Font.SYMBOL)
  Returns:
    a Chunk

### getCorrespondingSymbol

    public static char getCorrespondingSymbol(String name)

  Looks for the corresponding symbol in the font Symbol.

  Parameters:
    `name` - the name of the entity
  Returns:
    the corresponding character in font Symbol

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD